%define		status		stable
%define		pearname	Net_SmartIRC
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - IRC client class
Summary(pl.UTF-8):	%{pearname} - klasa klienta IRC
Name:		php-pear-%{pearname}
Version:	1.1.10
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	869ce82deac177fc13b6cf16ab6af9d4
Patch0:		%{name}-refs.patch
URL:		http://pear.php.net/package/Net_SmartIRC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= %{php_min_version}
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir		%{_docdir}/phpdoc

%description
Net_SmartIRC is a PHP class for communication with IRC networks, which
conforms to the RFC 2812 (IRC protocol). It's an API that handles all
IRC protocol messages. This class is designed for creating IRC bots,
chats and show irc related info on webpages.

Featurelist:
- actionhandler for the API
- messagehandler for the API
- send/receive floodprotection
- detects and changes nickname on nickname collisions
- time events
- full object oriented programmed
- autoreconnect
- debugging/logging system
- supports fsocks and PHP socket extension
- sendbuffer with priority levels
- channel synching (tracking of users/modes/topic etc in variables)
- IRC functions: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Net_SmartIRC to klasa PHP do komunikacji z sieciami IRC zgodnymi z RFC
2812 (protokołem IRC). Jest to API obsługujące wszystkie komunikaty
protokołu IRC. Ta klasa została zaprojektowana do tworzenia botów
ircowych, chatów i pokazywania informacji związanych z ircem na
stronach WWW.

Lista możliwości:
- obsługa akcji dla API
- obsługa komunikatów dla API
- zabezpieczenie przed zapchaniem przy wysyłaniu/odbieraniu
- wykrywanie i zmiana pseudonimów w przypadku kolizji
- zdarzenia czasowe
- w pełni obiektowo zorientowane programowanie
- automatyczne wznawianie połączeń
- system śledzenia i logowania
- obsługa rozszerzeń PHP fsocks i socket
- sendbuffer z priorytetami
- synchronizacja kanałów (śledzienie użytkowników/trybów/motywów w
  zmiennych)
- funkcje IRC: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite.

Ta klasa ma w PEAR status: %{status}.

%package phpdoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for %{name}.

%description phpdoc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%pear_package_setup
%patch0 -p1

mv docs/%{pearname}/docs/HTML apidoc
mv docs/%{pearname}/docs/* .
rmdir docs/%{pearname}/docs
mv docs/%{pearname}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{pearname}
cp -a apidoc/* $RPM_BUILD_ROOT%{_phpdocdir}/%{pearname}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc CREDITS FEATURES README.md
%doc DOCUMENTATION HOWTO
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/SmartIRC.php
%{php_pear_dir}/Net/SmartIRC
%{_examplesdir}/%{name}-%{version}

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{pearname}
%changelog
* Fri Jan 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_SmartIRC.git;a=log;h=master

* Fri Jan 13 2017 Elan Ruusamäe <glen@delfi.ee> 0c634ee
- 1.1.10 (2016-12-25)

* Sat Nov 28 2015 Elan Ruusamäe <glen@delfi.ee> ac44dda
- up to 1.1.9

* Mon Oct 26 2015 Elan Ruusamäe <glen@delfi.ee> 813368d
- apply refs.patch; it's still needed

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> fd10ed5
- up to 1.1.8

* Mon Dec 29 2014 Elan Ruusamäe <glen@delfi.ee> 73efd12
- up to 1.1.4, fix php 5.3 compat: https://pear.php.net/bugs/bug.php?id=20469

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 1f2267b
- up to 1.1.4

* Thu Sep 04 2014 Elan Ruusamäe <glen@delfi.ee> b02ad84
- up to 1.1.0

* Thu Sep 01 2011 Elan Ruusamäe <glen@pld-linux.org> 7af11d8
- strict mode fixes

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> bc23bd3
- up to 1.0.2

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> 634015f
- the world without pointless macros

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> bb438e5
- fix silly typo

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> c75b5a8
- bug url

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> e1838f3
- fix include path

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 467cb2a
- up to 1.0.1, add phpdoc package

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> f70b335
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2b8ead0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f112c57
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 96eb073
- fix for variable refs warning; rel 2

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> ab07438
- fix for variable refs warning

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 68e9850
- BR rpm-build macros >= 1.300 for %pear_ macros

